Bug 1696965 - add "appcenter" to obsoleted packages in fedora 30 and 31
Summary: add "appcenter" to obsoleted packages in fedora 30 and 31
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-obsolete-packages
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-06 17:42 UTC by Fabio Valentini
Modified: 2019-04-14 00:01 UTC (History)
2 users (show)

Fixed In Version: fedora-obsolete-packages-30-35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-14 00:01:53 UTC
Type: Bug


Attachments (Terms of Use)

Description Fabio Valentini 2019-04-06 17:42:37 UTC
I have retired this package to to numerous issues.

Among them is one that renders fedora 30 systems completely unusable due to a dbus-broker / gdm crash.

So this package must absolutely be removed from user systems when upgrading to fedora 30 or later.

Comment 1 Fabio Valentini 2019-04-06 18:17:45 UTC
To clarify:

Packages to obsolete:

- appcenter
- appcenter-gnome-shell-search-provider


Last version available on f30 and rawhide:

3.1.1-1.fc30

Comment 2 Fabio Valentini 2019-04-11 10:02:52 UTC
Submitted Pull Requests for the f30 and master branches to obsolete appcenter* < 3.1.1-2

master: https://src.fedoraproject.org/rpms/fedora-obsolete-packages/pull-request/18
f30:    https://src.fedoraproject.org/rpms/fedora-obsolete-packages/pull-request/19

Comment 3 Miro Hrončok 2019-04-11 10:20:42 UTC
On it.

Comment 4 Fabio Valentini 2019-04-11 10:42:08 UTC
Thanks!

Comment 5 Fedora Update System 2019-04-11 10:42:23 UTC
fedora-obsolete-packages-30-35 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7921849690

Comment 6 Fedora Update System 2019-04-13 01:58:00 UTC
fedora-obsolete-packages-30-35 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7921849690

Comment 7 Fedora Update System 2019-04-14 00:01:53 UTC
fedora-obsolete-packages-30-35 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.